| Home >> All >> org >> apache >> webdav >> lib >> [ methods Javadoc ] |
org.apache.webdav.lib.methods: Javadoc index of package org.apache.webdav.lib.methods.
Package Samples:
org.apache.webdav.lib.methods
Classes:
LockMethod: Web resources can be locked to ensure that only one user is updating the resource at a time. Locking helps to prevent the "lost update" problem. There are two types of lock currently defined by the WebDAV specification: exclusive locks and shared locks. Per the specification, a lock indicates that someone is updating the resource, (hence the lock is a "write lock"), although the specification notes that the the syntax is extensible, and permits the eventual creation of locking for other access types. Shared and Exclusive Locks The most basic form of lock is an exclusive lock . This is a lock where ...
MkcolMethod: The MKCOL method is used to create a new collection. All DAV compliant resources must support the MKCOL method. Collections are merely the HTTP name for structures like directories or folders (and, in fact, often map directly to a folder or directory on the web server. This implementation of a MKCOL client method does not support a a request body, and the newly created web collection should therefore have no members. MKCOL creates a new collection resource at the location specified by the Request-URI. If the resource identified by the Request-URI already exists on the server then the MKCOL will ...
DeleteMethod: DELETE Method. The delete method can be sent to either a collection or non-collection resource. If a delete is sent to a collection, then all members of that collection are deleted. Deletes can fail because of permission problems or if a resource is currently locked. A typical request/response pair might look like this: Request DELETE /container/ HTTP/1.1 Host: www.foo.bar Response HTTP/1.1 207 Multi-Status Content-Type: text/xml; charset="utf-8" Content-Length: xxxx <?xml version="1.0" encoding="utf-8" ?> <d:multistatus xmlns:d="DAV:"> <d:response> <d:href>http://www.foo.bar/container/resource3</d:href> ...
BindMethod: The BIND method modifies the collection identified by the Request-URI, by adding a new binding from the segment specified in the BIND body to the resource identified in the BIND body. BIND Method Example: >> Request: BIND /CollY HTTP/1.1 Host: www.example.com Content-Type: text/xml; charset="utf-8" Content-Length: xxx bar.html http://www.example.com/CollX/foo.html >> Response: HTTP/1.1 201 Created The server added a new binding to the collection, "http://www.example.com/CollY", associating "bar.html" with the resource identified by the URI "http://www.example.com/CollX/foo.html". Clients can now ...
CheckinMethod: The CHECKIN method can be applied to a checked-out version-controlled resource to produce a new version whose content and dead properties are copied from the checked-out resource. This implementation of a CHECKIN client method does support a a request body. If a CHECKIN request fails, the server state preceding the request MUST be restored. The request body MUST be a DAV:checkin XML element with at most one DAV:keep-checked-out or DAV:fork-ok. Example Request CHECKIN /foo.html HTTP/1.1 Host: www.server.org Content-type: text/xml; charset="utf-8" Content-Length: xx Example Response HTTP/1.1 201 ...
MkWorkspaceMethod: The MkWorkspace method is used to create a new workspace. New workspaces can only be created in the workspace collection of the server. A workspace can contain version controled resources and any other. Each resource must identify its workspace. It is not allowed to create a new workspace inside an exiting workspace. Example Request MKWORKSPACE /ws/myWs/ HTTP/1.1 Host: www.server.org Example Response HTTP/1.1 201 Created
LabelMethod: The Label method is used to manipulate labels on resources on the server. Example Request LABEL /files/testfile.xml HTTP/1.1 Host: www.webdav.org Content-Type: text/xml; charset="utf-8" newlabel Example Response HTTP/1.1 200 OK Cache-Control: no-cache
DepthSupport: Methods that can act on collections (for example, DELETE, LOCK, PROPFIND, etc.) support a depth header. The depth header indicates that the method applies to either: the collection (depth 0); the collection and its immediate contents (depth 1); or the collection, its contents and all subcollections (depth infinity).
CheckoutMethod: The Checkout method can be applied to a checked-in version-controlled resource. Example Request Checkout /foo.html HTTP/1.1 Host: www.server.org Content-Length: xx Example Response HTTP/1.1 200 OK
UnbindMethod: The UNBIND method modifies the collection identified by the Request-URI, by removing the binding identified by the segment specified in the UNBIND body.
AclReportMethod: WebDAV Report method This class is used to send an report from the ACL specification. In this version only the principal-property-search is supported.
RebindMethod: The REBIND method removes a binding to a resource from one collection, and adds a binding to that resource into another collection.
UncheckoutMethod: The Checkout method can be applied to a checked-in version-controlled resource.
UpdateMethod: The Update method updates a version-controlled resource to a new version.
PropFindMethod: This class implements the WebDAV PROPFIND Method.
ReportMethod: This class implements the WebDAV REPORT Method.
SearchMethod: This class implements the WebDAV SEARCH Method.
PropertyBodyHelper: This class manages an array of PropertyNames.
XMLResponseMethodBase: Utility class for XML response parsing.
PollMethod: Implements the POLL WebDAV method.
UnsubscribeMethod: Implements the UNSUBSCRIBE method.
SubscribeMethod: Implements the SUBSCRIBE method.
PropPatchMethod: PROPPATCH Method.
| Home | Contact Us | Privacy Policy | Terms of Service |